package com.ss.android.ugc.aweme.profile.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.model.UrlModel;
import java.io.Serializable;

public class BlueVBrandInfo implements Serializable {
    @c(LIZ = "brand_id")
    public int brandId;
    @c(LIZ = "brand_name")
    public String brandName;
    @c(LIZ = "category_id")
    public int categoryId;
    @c(LIZ = "category_name")
    public String categoryName;
    @c(LIZ = "heat")
    public long heat;
    @c(LIZ = "logo_url")
    public UrlModel logoUrl;
    @c(LIZ = "rank")
    public int rank;
    @c(LIZ = "rank_diff")
    public int rankDiff;
    @c(LIZ = "tag_name")
    public String tagName;

    static {
        Covode.recordClassIndex(98779);
    }

    public int getBrandId() {
        return this.brandId;
    }

    public String getBrandName() {
        return this.brandName;
    }

    public int getCategoryId() {
        return this.categoryId;
    }

    public String getCategoryName() {
        return this.categoryName;
    }

    public long getHeat() {
        return this.heat;
    }

    public UrlModel getLogoUrl() {
        return this.logoUrl;
    }

    public int getRank() {
        return this.rank;
    }

    public int getRankDiff() {
        return this.rankDiff;
    }

    public String getTagName() {
        return this.tagName;
    }

    public void setBrandId(int i) {
        this.brandId = i;
    }

    public void setBrandName(String str) {
        this.brandName = str;
    }

    public void setCategoryId(int i) {
        this.categoryId = i;
    }

    public void setCategoryName(String str) {
        this.categoryName = str;
    }

    public void setHeat(long j) {
        this.heat = j;
    }

    public void setLogoUrl(UrlModel urlModel) {
        this.logoUrl = urlModel;
    }

    public void setRank(int i) {
        this.rank = i;
    }

    public void setRankDiff(int i) {
        this.rankDiff = i;
    }

    public void setTagName(String str) {
        this.tagName = str;
    }
}
